cc.Class({
    extends: cc.Component,

    onLoad: function () {
        var animation = this.node.getComponent(cc.Animation);

        // 注册
       
        animation.on('finished',  this.onFinished,    this);
    },
    onFinished:function(){
        this.node.active = false;
    }
});